#setup.py
from distutils.sysconfig import get_python_lib
from os.path import join
from glob import glob
from cx_Freeze import setup, Executable

# Basically just copy all of the CEF distribution into the installer
# I have only tested this on windows
cefPath = join(get_python_lib(), "cefpython3")
CEF_INCLUDES = glob(join(cefPath, "*"))
#CEF_INCLUDES.remove(join(cefPath, "examples"))

setup(
    name = "cover2music",
    version = "20210428",
    options = {
        "build_exe": {
        'packages': ["os","gi","gi.repository","base64","mutagen.oggvorbis","mutagen.flac","mutagen.mp3","mutagen.id3"],
        'include_files': CEF_INCLUDES + ['cover2music.png'],
        'include_files': CEF_INCLUDES,

        'include_msvcr': True,
    }},
    #executables = [Executable("main.py", base="Win32GUI")]
    #executables = [Executable("main.py", base = "Win32GUI"), icon = "C:/Program Files/iNTMI/assets/images/programIcon.ico")]
    executables = [Executable("main.py", base = "Win32GUI"), icon = "cover2music.ico")]


)
